function selectChannelOK
% Handles what happens when OK button is clicked on the Select Channels screen
% Kevin Baggett
% Wed Apr 30 20:22:05 GMT 2003

h=guidata(gcf);

if isempty(get(h.txtChannel,'String'))
    msgbox('No channel selected!');
else
    % close window and attach selected values to main figure
    h1=guidata(1);
    h1.currentWavenumber=str2num(get(h.txtChannel,'String'));
    guidata(1,h1);
    close(gcf);
end
